import { otherHttp } from '/@/utils/http/axios'

enum Api {
    goodsList = '/trade/goods/list', // 农资列表
    getEnterpriseList = '/server/enterprise/list', // 可信农资列表
    postEnterpriseAdd = '/server/enterprise/add', // 入驻申请
    getEnterpriseDetail = '/server/enterprise/detail', // 企业详情
    postGoodsAdd = '/trade/goods/add', // 农资商品管理-添加
    getGoodsQueryById = '/trade/goods/listByEnterpriseId', // 农资商品管理-通过id查询
}
/**
 * @param params 请求参数
 * @description: 农资商品管理-通过id查询
 */
export function getGoodsQueryById(params = {}) {
    return otherHttp.get({
        url: Api.getGoodsQueryById,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 农资商品管理-添加
 */
export function postGoodsAdd(params = {}) {
    return otherHttp.post({
        url: Api.postGoodsAdd,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: APP可信农资列表
 */
export function getEnterpriseDetail(params = {}) {
    return otherHttp.get({
        url: Api.getEnterpriseDetail,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}

/**
 * @param params 请求参数
 * @description: 农贸入驻 新增
 */
export function postEnterpriseAdd(params = {}) {
    return otherHttp.post({
        url: Api.postEnterpriseAdd,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: 农资列表
 */
export function goodsList(params = {}) {
    return otherHttp.get({
        url: Api.goodsList,
        params,
    })
}

/**
 * @param params 请求参数
 * @description: APP可信农资列表
 */
export function getEnterpriseList(params = {}) {
    return otherHttp.get({
        url: Api.getEnterpriseList,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}
